diff --git a/client/src/main.c b/client/src/main.c
index 144152f9..1aa33290 100644
--- a/client/src/main.c
+++ b/client/src/main.c
@@ -1272,9 +1272,9 @@ int eventFilter(void * userdata, SDL_Event * event)
           }
           break;
 
-        // allow a window close event to close the application even if ignoreQuit is set
         case SDL_WINDOWEVENT_CLOSE:
-          g_state.state = APP_STATE_SHUTDOWN;
+          if (!params.ignoreQuit || !g_cursor.inView)
+            g_state.state = APP_STATE_SHUTDOWN;
           break;
       }
       return 0;
